org.apache.sling.bgservlets.impl.webconsole

## Class JobConsolePlugin

- java.lang.Object
- - org.apache.sling.bgservlets.impl.webconsole.JobConsolePlugin

    public class JobConsolePlugin
    extends Object

Felix OSGi console plugin for the ExecutionEngine

### Nested Class Summary

Nested Classes
`static class` `JobConsolePlugin.Plugin`

### Field Summary

Fields
`static String` `LABEL`
`static String` `STATUS_EXTENSION`
`static String` `TITLE`

### Constructor Summary

Constructors
Constructor and Description
`JobConsolePlugin()`

### Method Summary

Methods
`static void` `destroyPlugin()`
`static void` `initPlugin(org.osgi.framework.BundleContext context, JobConsole jobConsole)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LABEL

    public static final String LABEL

See Also:
  Constant Field Values

#### TITLE

    public static final String TITLE

See Also:
  Constant Field Values

#### STATUS_EXTENSION

    public static final String STATUS_EXTENSION

See Also:
  Constant Field Values

### Constructor Detail

#### JobConsolePlugin

    public JobConsolePlugin()

### Method Detail

#### initPlugin

    public static void initPlugin(org.osgi.framework.BundleContext context,
                  JobConsole jobConsole)

#### destroyPlugin

    public static void destroyPlugin()